import request from '@/utils/request'

// 查询质量月报S4013列表
export function listS4013(query) {
  return request({
    url: '/production/s4013/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S4013详细
export function getS4013(id) {
  return request({
    url: '/production/s4013/' + id,
    method: 'get'
  })
}

// 新增质量月报S4013
export function addS4013(data) {
  return request({
    url: '/production/s4013',
    method: 'post',
    data: data
  })
}

// 修改质量月报S4013
export function updateS4013(data) {
  return request({
    url: '/production/s4013',
    method: 'put',
    data: data
  })
}

// 删除质量月报S4013
export function delS4013(id) {
  return request({
    url: '/production/s4013/' + id,
    method: 'delete'
  })
}

// 导出质量月报S4013
export function exportS4013(query) {
  return request({
    url: '/production/s4013/export',
    method: 'get',
    params: query
  })
}